Subject: Re: Atheros Communications Inc. AR8121/AR8113/AR8114 Gigabit or Fast Ethernet (rev b0) 1.0.0.7 md5/sha1 corrupted using NFS and samba (updated) Version 2

From: Sven Hartge <[email-masked]>
Date: Sun, 24 Mar 2013 02:07:11 +0100

Hannes Frederic Sowa <[email-masked]> wrote:

> The upstream driver (which is a tarball I found with google
> AR81Family-linux-v1.0.1.14.tar.gz) has this function ifdefed out. I
> have a couple of more things I want to test as soon as I have access
> to the hardware again.  If I don't find a better solution I will
> submit a patch which disables rx checksumming as a whole for inclusion
> to net-next.

In addition to my other mail: Please have a look at Debian Bug #558426
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=558426> which is about
TSO and TCP/IPv6 on atl1e which had problems as well.

I wouldn't find it surprising if any offloading or hardware checksumming
is broken on that hardware.

Grüße,
Sven.

-- 
Sigmentation fault. Core dumped.